#!/bin/bash

STATUS_MAIN(){

echo "    [CPU]"

cpumhz=`cat /sys/mpm/op | sed s/" MHz"/MHz/`

echo "Частота:$cpumhz "

echo "    [Память RAM]"

memmax=`sed -n 1\p /proc/meminfo | sed s/"MemTotal:"// | sed s/" kB"/KB/ | sed s/" "//g`
memfree=`sed -n 2\p /proc/meminfo | sed s/"MemFree:"// | sed s/" kB"/KB/ | sed s/" "//g`
memcached=`sed -n 4\p /proc/meminfo | sed s/"Cached:"// | sed s/"kB"/KB/ | sed s/" "//g`
echo "Всего памяти:$memmax "
echo "Кэш:$memcached"
echo "Свободно:$memfree "

echo "    [Виртуальная память]"
swapmax=`sed -n 12\p /proc/meminfo | sed s/"SwapTotal:"// | sed s/" kB"/KB/ | sed s/" "//g`
swapfree=`sed -n 13\p /proc/meminfo | sed s/"SwapFree:"// | sed s/" kB"/KB/ | sed s/" "//g`
swapother=`sed -n 5\p /proc/meminfo | sed s/"SwapCached:"// | sed s/" kB"/KB/ | sed s/" "//g`
echo "Всего памяти:$swapmax"
echo "Кэш:$swapother"
echo "Свободно:$swapfree"

echo "    [Свободное место]"

EZXLOCAL=`df | grep /ezxlocal/download/mystuff`
EZXLOCAL2=${EZXLOCAL:40:10}
TEMP=1
EZXLOCAL3=$((EZXLOCAL2/TEMP))
echo "Телефон:${EZXLOCAL3} KB"

MEMCARD=`df | grep /dev/mmca1`
MEMCARD2=${MEMCARD:40:10}
TEMP=1
MEMCARD3=$((MEMCARD2/TEMP))
echo "    Карта памяти:${MEMCARD3} KB"

}

STATUS_MAIN > /tmp/.status

export QTDIR=/usr/lib/ezx

showQ "Статус телефона" "`cat /tmp/.status`" 2

rm -f /tmp/.status
